#ifndef _KGR_PATCH_BSC1189420_H
#define _KGR_PATCH_BSC1189420_H

#if IS_ENABLED(CONFIG_KVM_AMD)

int kgr_patch_bsc1189420_init(void);
void kgr_patch_bsc1189420_cleanup(void);


struct vcpu_svm;

int kgrp_vmrun_interception(struct vcpu_svm *svm);

#define KGR_PATCH_BSC1189420_FUNCS					\
	KGR_PATCH_OBJ(vmrun_interception, kgrp_vmrun_interception,	\
		      "kvm_amd"),					\

#else /* !IS_ENABLED(CONFIG_KVM_AMD) */

static inline int kgr_patch_bsc1189420_init(void) { return 0; }

static inline void kgr_patch_bsc1189420_cleanup(void) {}

#define KGR_PATCH_BSC1189420_FUNCS

#endif /* IS_ENABLED(CONFIG_KVM_AMD) */
#endif /* _KGR_PATCH_BSC1189420_H */
